package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.ServiceIntegration;

/**
 * 整合服务Mapper接口
 *
 * @author jy
 * @date 2022-12-31
 */
public interface ServiceIntegrationMapper
{
    /**
     * 查询整合服务
     *
     * @param id 整合服务主键
     * @return 整合服务
     */
    public ServiceIntegration selectServiceIntegrationById(Long id);

    /**
     * 查询整合服务列表
     *
     * @param serviceIntegration 整合服务
     * @return 整合服务集合
     */
    public List<ServiceIntegration> selectServiceIntegrationList(ServiceIntegration serviceIntegration);

    /**
     * 新增整合服务
     *
     * @param serviceIntegration 整合服务
     * @return 结果
     */
    public int insertServiceIntegration(ServiceIntegration serviceIntegration);

    /**
     * 修改整合服务
     *
     * @param serviceIntegration 整合服务
     * @return 结果
     */
    public int updateServiceIntegration(ServiceIntegration serviceIntegration);

    /**
     * 删除整合服务
     *
     * @param id 整合服务主键
     * @return 结果
     */
    public int deleteServiceIntegrationById(Long id);

    /**
     * 批量删除整合服务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteServiceIntegrationByIds(Long[] ids);

    public void alterTable();
}
